Home

Get Transactions By Message

GET
https://ton-index.nownodes.io/api/v3/transactionsByMessage

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions whose inbound/outbound message has the specified hash. This endpoint returns list of Transaction objects since collisions of message hashes can occur.

Parameters

directionstringinoutrequiredquery

Message direction.

msg_hashstringrequiredquery

Message hash. Acceptable in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error